# Working With Modules

- Introduction to modules
- Return Values
- Module Maintenance & Support
- Module Index

Ansible ships with a number of modules (called the ‘module library’) that can be executed directly on remote hosts or through Playbooks.

Users can also write their own modules. These modules can control system resources, like services, packages, or files (anything really), or handle executing system commands.

See also

Introduction to ad-hoc commands

  Examples of using modules in /usr/bin/ansible

About Playbooks

  Introduction to using modules with /usr/bin/ansible-playbook

Ansible module development: getting started

  How to write your own modules

Python API

  Examples of using modules with the Python API

Interpreter Discovery

  Configuring the right Python interpreter on target hosts

Mailing List

  Questions? Help? Ideas? Stop by the list on Google Groups

irc.freenode.net

  #ansible IRC chat channel